## org.klomp.snark
Interface DataLoader

All Known Implementing Classes:
  PeerState

    interface DataLoader

Callback used to fetch data

Since:
  0.8.2

Method Summary
`byte[]` `loadData(int piece, int begin, int length)` This is the callback that PeerConnectionOut calls to get the data from disk

Method Detail

### loadData

    byte[] loadData(int piece,
                    int begin,
                    int length)

  This is the callback that PeerConnectionOut calls to get the data from disk

  Returns:
    bytes or null for errors